﻿@*@model SportsClub.Models.MyJumbulaClubEventsViewModel

@{
    Layout = @"~\Views\Shared\_MyJumbulaLayout.cshtml";
    ViewBag.Title = "DisplayEvents";
}
@Styles.Render("~/bundles/my-jumbula-comunitations")
<section class="span9 pull-left myjb-content column">
    <!-- ========================================calendar======================================= -->
    <div class=" myjb-item myjb-communication">
        <div class="pull-left myjb-header">
            <h2>Communications</h2>
        </div>
        <!-- ===================================event control=================================== -->
        @using (Ajax.BeginForm("DisplayEvents", "Communication", null, new AjaxOptions { HttpMethod = "post", OnSuccess = "EventSuccess", OnFailure = "EventFailed", OnBegin = "EventBegin", OnComplete = "EventComplete" }, new { @id = "events-form" }))
        {
            <div id="eventDetails">

                @Html.Partial("_ViewEventDetails", Model)
            </div>
          
        }
    </div>
</section>

@section tempScripts{

    @Scripts.Render("~/bundles/FormWizard")
    <script type="text/javascript" src="~/Scripts/jquery.validate.min.js"></script>
    <script type="text/javascript" src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
    <script type="text/javascript" src="~/Scripts/slimscroll.js"></script>


    <script type="text/javascript">
        // Start DisplayEvents
        function additionalPrameters() {

            return {
                clubdomain: '@Model.ClubDomain',
                searchText: $("#event-name").val(),
                startDate: $("#StartDate").val(),
                endDate: $("#FinishDate").val(),
                eventStatus: $("#EventStatus").val(),
                eventType: $("#EventType").val()
            }
        }

        $(document).ready(function () {

            $.validator.setDefaults({ ignore: [] });
            initial();

        });


        function EventSuccess(data) {

            $("#eventDetails").html(data);

            initial();

            $(".loading").button('reset');

        }
        function EventBegin() {
            $("#eventDetails").showLoading();
            $("#submit-button").val("Searching");
        }

        function EventComplete() {
            $("#eventDetails").hideLoading();
            $("#submit-button").val("Search");
        }

        function initial() {

            //Handle auto complete for search event textbox
            $("#event-name").autocomplete({
                source: function (request, response) {
                    $.ajax({
                        url: "@Url.Action("QuickEventSearch", "Order")",
                        dataType: "json",
                        data: {
                            term: $("#event-name").val()
                        },
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.label,
                                    name: item.value,
                                    domain: item.route,
                                    status: item.Status
                                }
                            }));
                        }
                    });
                },
                minLength: 2,
                delay: 200,
                select: function (event, ui) {
                    $("#event-name").val(ui.item.name);
                    return false;
                },
            }).data("autocomplete")._renderItem = function (ul, item) {
                return $("<li></li>")
                    .data("item.name", item.name)
                    .append($("<a></a>").html(item.label))
                    .appendTo(ul);
            };


        }

        $(".sendMailToALL").live('click', function (e) {
            e.preventDefault();
            var domain = $(this).attr("data-domain");
            var name = $(this).attr("data-name");
            name = encodeURI(name);
            var subDomain = $(this).attr("data-eventType");
            var categoryId = $(this).attr("data-Category");
            
            CallPopUp('@Url.Action("SendMailPreView", "Communication", new { clubDomain = Model.ClubDomain })' + '&domain=' + domain + '&eventType=' + subDomain + '&categoryId=' + categoryId + '&name='+ name  + '&mode=' + '@SendMailModel.sendAll', "#SendEmail", "SendEmail");
        });



        $(".sendMailToCustom").live('click', function (e) {
            e.preventDefault();

            var domain = $(this).attr("data-domain");
            var name = $(this).attr("data-name");
            name = encodeURI(name);
            var subDomain = $(this).attr("data-eventType");
            var categoryId = $(this).attr("data-Category");
            CallPopUp('@Url.Action("SendMailPreView", "Communication", new { clubDomain = Model.ClubDomain })' + '&domain=' + domain + '&eventType=' + subDomain + '&categoryId=' + categoryId + '&name='+ name + '&mode=' + '@SendMailModel.sendCustom', "#SendEmail", "SendEmail");

            //var dataItem = this.dataItem($(e.currentTarget).closest("tr"));
            //var domain = dataItem.Domain;
            //var subDomain = dataItem.EventType;
            //var sport = dataItem.SportCategory;

        });

        // End DisplayEvents

        //SendMailByPreView Step One
        function onSuccessPreView(data) {

            ShowPopUp(data, "SendEmail");
        }
        //End of Step One

        //SendMailRecipient Step Tow
        function onSuccessRecipient(data) {

            if ($("#searchFilter").val() == 'true') {

                $("#listOfEmails").html(data);
            }
            else {

                ShowPopUp(data, "SendEmail");
            }
        }

        function onBeginRecipient() {

            $("#btnFilterEvent").html("Searching");
        }

        function onCompleteRecipient() {

            $("#btnFilterEvent").html("Search");
        }
        // End of Step Two

        //SendMailConfirmation Step three
        function onSuccessConfirmation(data) {

            $(".loading").button('reset');
            if (data.Status == "true") {
                $(".notification-msg").show().addClass("green");
                $("b", ".notification-msg").html("Succeed!");
                $("span", ".notification-msg").html(data.StatusMsg);
            }
            else if (data.Status == "false") {
                $(".notification-msg").show().addClass("red");
                $("b", ".notification-msg").html("Error!");
                $("span", ".notification-msg").html(data.StatusMsg);
            }
            else {
                ShowPopUp(data, "SendEmail");
            }

        }

        function onFailedConfirmation(data) {

            $(".notification-msg").show().addClass("red");
            $("b", ".notification-msg").html("Error!");
            $("span", ".notification-msg").html('@Constants.SendMail_Status_Error');
        }
        // End of Step Two
    </script>
}*@
